Package org.eclipse.jdt.ui.wizards

# Class NewModuleInfoWizardPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.jdt.ui.wizards.NewElementWizardPage
org.eclipse.jdt.ui.wizards.NewContainerWizardPage
org.eclipse.jdt.ui.wizards.NewTypeWizardPage
org.eclipse.jdt.ui.wizards.NewModuleInfoWizardPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`

public class NewModuleInfoWizardPage extends NewTypeWizardPage
Wizard page to create a new module-info file.

Note: This class is not intended to be subclassed, but clients can instantiate.

Since:
  3.14
Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`NewTypeWizardPage.ImportsManager`

## Field Summary

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`ANNOTATION_TYPE, CLASS_TYPE, ENCLOSING, ENCLOSINGSELECTION, ENUM_TYPE, F_ABSTRACT, F_FINAL, F_PRIVATE, F_PROTECTED, F_PUBLIC, F_STATIC, fAddCommentButton, fEnclosingTypeStatus, fModifierStatus, fPackageStatus, fSealedModifierStatus, fSealedSuperClassStatus, fSealedSuperInterfacesStatus, fSuperClassStatus, fSuperInterfacesStatus, fTypeNameStatus, INTERFACE_TYPE, INTERFACES, METHODS, MODIFIERS, PACKAGE, RECORD_TYPE, SEALEDMODIFIERS, SUPER, TYPENAME`

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`CONTAINER, fContainerStatus`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`NewModuleInfoWizardPage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
`IJavaProject`
`getJavaProject()`
Returns the Java project of the currently selected package fragment root or `null` if no package fragment root is configured.
`protected int`
`getMaxFieldWidth()`
Returns the recommended maximum width for text fields (in pixels).
`IStatus`
`getModuleNameStatus()`
`String`
`getModuleNameText()`
Returns the content of the module name field.
`IJavaProject`
`getProject()`
`void`
`init(IJavaProject project)`
The wizard owning this page is responsible for calling this method with the current selection's project.
`protected void`
`setFocus()`
Sets the focus to the module name field.
`void`
`setVisible(boolean visible)`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`addSuperInterface, addSuperInterface, chooseEnclosingType, choosePackage, chooseSuperClass, chooseSuperInterfaces, constructCUContent, containerChanged, createCommentControls, createCommentWithLinkControls, createEnclosingTypeControls, createInheritedMethods, createMainMethod, createModifierControls, createPackageControls, createSeparator, createSuperClassControls, createSuperInterfacesControls, createType, createTypeMembers, createTypeNameControls, enableCommentControl, enclosingTypeChanged, getCompilationUnitName, getCreatedType, getEnclosingType, getEnclosingTypeLabel, getEnclosingTypeText, getFileComment, getFileComment, getModifiedResource, getModifiers, getModifiersLabel, getPackageFragment, getPackageLabel, getPackageText, getRunnable, getSealedModifierStatus, getSealedSuperClassStatus, getSealedSuperInterfaceStatus, getSuperClass, getSuperClassLabel, getSuperClassStatus, getSuperInterfaces, getSuperInterfacesLabel, getSuperInterfaceStatus, getTemplate, getTemplate, getTypeComment, getTypeComment, getTypeName, getTypeNameLabel, getUniqueJavaTypeName, handleFieldChanged, initTypePage, isAddComments, isEnclosingTypeSelected, isSuperTypeSealed, modifiersChanged, packageChanged, setAddComments, setEnclosingType, setEnclosingTypeSelection, setModifiers, setPackageFragment, setSuperClass, setSuperClass, setSuperInterfaces, setSuperInterfacesList, setTypeName, superClassChanged, superInterfacesChanged, typeNameChanged, validateSealedSuperInterfacesStatus`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`chooseContainer, createContainerControls, getContainerLabel, getCurrentTextSelection, getInitialJavaElement, getPackageFragmentRoot, getPackageFragmentRootText, getWorkspaceRoot, initContainerPage, initContainerPage, setFocusOnContainer, setPackageFragmentRoot`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewElementWizardPage

`updateStatus, updateStatus`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

## Constructor Details

### NewModuleInfoWizardPage

public NewModuleInfoWizardPage()

## Method Details

### init

public void init(IJavaProject project)
The wizard owning this page is responsible for calling this method with the current selection's project. The project is used to initialize the fields of the wizard page.

Parameters:
  `project` - used to initialize the fields

### createControl

public void createControl(Composite parent)

### setVisible

public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `NewElementWizardPage`

### setFocus

protected void setFocus()
Sets the focus to the module name field.

Overrides:
  `setFocus` in class `NewTypeWizardPage`

### getMaxFieldWidth

protected int getMaxFieldWidth()
Returns the recommended maximum width for text fields (in pixels). This method requires that createContent has been called before this method is call.

Overrides:
  `getMaxFieldWidth` in class `NewContainerWizardPage`
Returns:
  the recommended maximum width for text fields.

### getModuleNameText

public String getModuleNameText()
Returns the content of the module name field.

Returns:
  the content of the module name field

### getProject

public IJavaProject getProject()

### getModuleNameStatus

public IStatus getModuleNameStatus()

### getJavaProject

public IJavaProject getJavaProject()
Description copied from class: `NewContainerWizardPage`
Returns the Java project of the currently selected package fragment root or `null` if no package fragment root is configured.

Overrides:
  `getJavaProject` in class `NewContainerWizardPage`
Returns:
  The current Java project or `null`.